## bcache-tools 1.0.5~git.1.c877dc2

=== Makefile ===

PREFIX=/usr
UDEVLIBDIR=/lib/udev
DRACUTLIBDIR=/lib/dracut
INSTALL=install
CFLAGS+=-O2 -Wall -g

all: make-bcache probe-bcache bcache-super-show bcache-test

install: make-bcache probe-bcache bcache-super-show
	$(INSTALL) -m0755 make-bcache bcache-super-show	$(DESTDIR)${PREFIX}/sbin/
	$(INSTALL) -m0755 probe-bcache bcache-register		$(DESTDIR)$(UDEVLIBDIR)/
	$(INSTALL) -m0644 69-bcache.rules	$(DESTDIR)$(UDEVLIBDIR)/rules.d/
	$(INSTALL) -m0644 -- *.8 $(DESTDIR)${PREFIX}/share/man/man8/
	$(INSTALL) -D -m0755 initramfs/hook	$(DESTDIR)/usr/share/initramfs-tools/hooks/bcache
	$(INSTALL) -D -m0755 initcpio/install	$(DESTDIR)/usr/lib/initcpio/install/bcache
	$(INSTALL) -D -m0755 dracut/module-setup.sh $(DESTDIR)$(DRACUTLIBDIR)/modules.d/90bcache/module-setup.sh
#	$(INSTALL) -m0755 bcache-test $(DESTDIR)${PREFIX}/sbin/

clean:
	$(RM) -f make-bcache probe-bcache bcache-super-show bcache-test *.o

bcache-test: LDLIBS += `pkg-config --libs openssl` -lm
make-bcache: LDLIBS += `pkg-config --libs uuid blkid`
make-bcache: CFLAGS += `pkg-config --cflags uuid blkid`
make-bcache: bcache.o
probe-bcache: LDLIBS += `pkg-config --libs uuid blkid`
probe-bcache: CFLAGS += `pkg-config --cflags uuid blkid`
bcache-super-show: LDLIBS += `pkg-config --libs uuid`
bcache-super-show: CFLAGS += -std=gnu99
bcache-super-show: bcache.o

=== debian/changelog ===
bcache-tools (1.0.5~git.1.c877dc2-1) wheezy; urgency=medium

  * New upstream release

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 06 Mar 2014 18:37:03 +0000

bcache-tools (1.0.4-1) unstable; urgency=low

  * udev: Simplify 69-bcache.rules
  * udev: Skip DM devices marked private

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Wed, 16 Oct 2013 14:19:34 +0200

bcache-tools (1.0.3-1) raring; urgency=low

  * Move probe-bcache to /lib/udev

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Mon, 07 Oct 2013 19:29:28 +0200

bcache-tools (1.0.2-1) raring; urgency=low

  * udev: Fit into the standard rule sequence
  * super-show: Print label
  * super-show: Show sync mode and cache replacement policy

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Sat, 05 Oct 2013 22:24:25 +0200

bcache-tools (1.0.1-1) raring; urgency=low

  * Use the absolute path to modprobe
  * initramfs: Move hook to /usr/share, trigger a rebuild

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Sun, 22 Sep 2013 01:16:40 +0200

bcache-tools (1.0-3) raring; urgency=low

  * Upstream some changes, depend on libblkid and pkg-config, refresh the metadata.

 -- Gabriel de Perthuis <g2p.code+debian@gmail.com>  Tue, 03 Sep 2013 19:26:20 +0200

bcache-tools (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #708132)

 -- Tom Strickx <tstrickx@rootcu.be>  Tue, 14 May 2013 13:27:21 +0200

=== debian/control ===
Source: bcache-tools
Maintainer: Gabriel de Perthuis <g2p.code+debian@gmail.com>
Uploaders: Tom Strickx <tstrickx@rootcu.be>,
 Jose M Calhariz <jose.calhariz@ist.utl.pt>
Section: utils
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), pkg-config, uuid-dev, libblkid-dev
Homepage: http://bcache.evilpiepirate.org/
Vcs-Browser: https://github.com/g2p/bcache-tools
Vcs-Git: https://github.com/g2p/bcache-tools.git

Package: bcache-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Description: bcache userspace tools
 Bcache allows the use of SSDs to cache other block devices.
 .
 Documentation for the run time interface is included in the kernel tree, in
 Documentation/bcache.txt.
 .
 This package includes udev rules, initramfs support and the following tools:
 make-bcache
 Formats block devices for use with bcache.  Devices can be formatted for use
 as a cache or as a backing device.
 The most important option is for specifying the bucket size.
 Allocation is done in terms of buckets, and cache hits are counted per bucket;
 thus a smaller bucket size will give better cache utilization, but poorer write
 performance. The bucket size is intended to be equal to the size of your SSD's
 erase blocks, which seems to be 128k-512k for most SSDs; feel free to
 experiment.
 .
 bcache-super-show
 Prints the bcache superblock of a cache device or a backing device.

## bcache-tools 1.0.7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 INSTALL=install
 CFLAGS+=-O2 -Wall -g
 
-all: make-bcache probe-bcache bcache-super-show bcache-test
+all: make-bcache probe-bcache bcache-super-show
 
 install: make-bcache probe-bcache bcache-super-show
 	$(INSTALL) -m0755 make-bcache bcache-super-show	$(DESTDIR)${PREFIX}/sbin/
@@ -18,7 +18,7 @@
 #	$(INSTALL) -m0755 bcache-test $(DESTDIR)${PREFIX}/sbin/
 
 clean:
-	$(RM) -f make-bcache probe-bcache bcache-super-show bcache-test *.o
+	$(RM) -f make-bcache probe-bcache bcache-super-show bcache-test -- *.o
 
 bcache-test: LDLIBS += `pkg-config --libs openssl` -lm
 make-bcache: LDLIBS += `pkg-config --libs uuid blkid`

=== debian/changelog ===
bcache-tools (1.0.7-1~14.04.1) trusty; urgency=medium

  * Backport from Vivid to Trusty (LP: #1491111)

 -- LaMont Jones <lamont@canonical.com>  Tue, 11 Aug 2015 03:38:11 -0600

bcache-tools (1.0.7-1) unstable; urgency=medium

  [ David Mohr ]
  * Based on work by Gabriel de Perthuis <g2p.code+debian@gmail.com>
  * Initial release. (Closes: #708132)

  [ Robie Basak ]
  * Remove unnecessary file bcache-tools.postrm.
  * debian/copyright fixes.
  * Add shebang to bcache-tools.preinst.
  * Drop Vcs-* for now.
  * Add self to Uploaders.

 -- Robie Basak <robie@justgohome.co.uk>  Mon, 27 Oct 2014 13:32:08 +0000

=== debian/control ===
Source: bcache-tools
Maintainer: David Mohr <david@mcbf.net>
Uploaders: Robie Basak <robie@justgohome.co.uk>
Section: utils
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), pkg-config, uuid-dev, libblkid-dev
Homepage: http://bcache.evilpiepirate.org/

Package: bcache-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Description: bcache userspace tools
 Bcache allows the use of SSDs to cache other block devices.
 .
 Documentation for the run-time interface is included in the kernel tree; in
 Documentation/bcache.txt.
 .
 This package includes udev rules, initramfs support, and the utilities to
 create a new bcache as well as inspect existing bcache partitions.

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/bcache-tools-$1.tar.gz/" \
  https://github.com/g2p/bcache-tools/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## bcache-tools 1.0.8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 INSTALL=install
 CFLAGS+=-O2 -Wall -g
 
-all: make-bcache probe-bcache bcache-super-show
+all: make-bcache probe-bcache bcache-super-show bcache-register
 
 install: make-bcache probe-bcache bcache-super-show
 	$(INSTALL) -m0755 make-bcache bcache-super-show	$(DESTDIR)${PREFIX}/sbin/
@@ -29,3 +29,4 @@
 bcache-super-show: LDLIBS += `pkg-config --libs uuid`
 bcache-super-show: CFLAGS += -std=gnu99
 bcache-super-show: bcache.o
+bcache-register: bcache-register.o

=== debian/changelog ===
bcache-tools (1.0.8-5build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:26 +0200

bcache-tools (1.0.8-5) unstable; urgency=medium

  * Team upload (salsa.debian.org/debian namespace).

  [ Balint Reczey ]
  * debian/control: Remove myself from Uploaders.
  * Revert "Keep symlinks when udev changes /dev/bcacheN"

  [ Ryan Harper ]
  * Add helper script to read bcache devs superblock (LP: #1861941)

  [ Helmut Grohne ]
  * Make pkg-config command substitutable fixing FTCBFS (Closes: #905727)

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. (Closes: #1058800)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 20 Jan 2024 01:00:43 +0100

bcache-tools (1.0.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Balint Reczey ]
  * Add Salsa CI configuration
  * Keep symlinks when udev changes /dev/bcacheN (LP: #1861941)
  * Drop update-initramfs trigger.
    With dh compat version 12 update-initramfs is inserted to postinst
    automatically

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 20 May 2020 14:41:11 +0200

bcache-tools (1.0.8-3) unstable; urgency=medium

  * d/bcache-tools.preinst: fail on unexpected error (Closes: #866250).
  * Drop buggy and prehistoric upgrade path. This removes the need for
    d/bcache-tools.preinst entirely.
  * Fix spelling mistake in quilt patch to fix lintian warning.
  * Switch from commands in postinst to update-initramfs trigger. This
    applies to both initramfs-tools and dracut and removes the need for
    d/bcache-tools.postinst entirely.
  * Update URLs to use SSL where possible.
  * Update Standards-Version to 4.1.3. The only change needed was some
    of the moves to SSL URLs as above.
  * wrap-and-sort.
  * Update debhelper compat level to 11. No changes needed.
  * Update dep3 headers following patch resubmission.

 -- Robie Basak <robie@justgohome.co.uk>  Tue, 27 Mar 2018 18:56:23 +0100

bcache-tools (1.0.8-2) unstable; urgency=medium

  * Only run update-initramfs if installed. Fix dracut. (Closes: #788442)

 -- David Mohr <david@mcbf.net>  Thu, 11 Jun 2015 10:23:48 -0600

bcache-tools (1.0.8-1) unstable; urgency=medium

  [ James Page ]
  * d/control: Add Vcs fields.

  [ David Mohr ]
  * Don't depend on initramfs-tools, instead recommend it (Closes: #775674)
  * New upstream release 1.0.8
  * Update changelog
  * Add patch to clean bcache-register
  * Update changelog
  * Adding dep3 headers to the 0001 patch
  * Update watch to use http://evilpiepirate.org/git/bcache-tools.git
  * Add patch for gcc-5 compatability.
    Thanks to James Cowgill (Closes: #777798)

 -- David Mohr <david@mcbf.net>  Tue, 26 May 2015 20:57:58 -0600

=== debian/control ===
Source: bcache-tools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Mohr <david@mcbf.net>
Uploaders: Robie Basak <robie@justgohome.co.uk>
Section: utils
Priority: optional
Standards-Version: 4.1.3
Build-Depends: debhelper-compat (= 12), libblkid-dev, pkg-config, systemd-dev, uuid-dev
Vcs-Browser: https://salsa.debian.org/debian/bcache-tools
Vcs-Git: https://salsa.debian.org/debian/bcache-tools.git
Homepage: https://bcache.evilpiepirate.org/

Package: bcache-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, gawk
Recommends: initramfs-tools | linux-initramfs-tool
Description: bcache userspace tools
 Bcache allows the use of SSDs to cache other block devices.
 .
 Documentation for the run-time interface is included in the kernel tree; in
 Documentation/bcache.txt.
 .
 This package includes udev rules, initramfs support, and the utilities to
 create a new bcache as well as inspect existing bcache partitions.

=== debian/watch ===
version=3

https://evilpiepirate.org/git/bcache-tools.git/refs/ /git/bcache-tools.git/tag/\?id=v(\d[\d.]*)

# tag/\?id=(v?\d[\d.]*)
#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/bcache-tools-$1.tar.gz/" \
# (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
# http://evilpiepirate.org/git/bcache-tools.git/tag/?id=v1.0.8
